<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
  <meta charset="UTF-8">
  <title>Loan Request</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
  <h1>
    Loan Request
    <small></small>
  </h1>
  <ol class="breadcrumb">
    <li class="treeview active"> Vendor</li>
    <li class="active"> Loan Request List</li>
  </ol>
</section>

<section layout:fragment="main" class="content">

  <div class="row">
    <div class="col-md-12">

      <div class="callout callout-success" th:if="${success != null}">
        <h4>Save Data Success!</h4>

        <p>Data Berhasil Disimpan.</p>
      </div>

      <div class="callout callout-success" th:if="${deleted != null}">
        <h4>Delete Data Success!</h4>

        <p>Data Berhasil Dihapus.</p>
      </div>

      <div class="callout callout-danger" th:if="${gagal != null}">
        <h4>Save Data Unsuccesfully!</h4>

        <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>
      </div>

      <!-- Custom Tabs -->
      <!--            <div class="nav-tabs-custom">-->
      <!--                <ul class="nav nav-tabs">-->
      <!--                    <li class="active"><a href="#detail" data-toggle="tab">Attendance Request</a></li>-->
      <!--                </ul>-->
      <!--                <form class="form-horizontal" th:action="@{/masterdata/employes/keluarga/save}" th:object="${employes}" method="post" enctype="multipart/form-data">-->
      <div class="box table-responsive">
        <div class="box-body">
          <div class="row">
            <div class="col-md-12">
              <div class="box box-info">
                <div class="box-header with-border">

                  <span>Loan Request</span>
                  <!--                                        <span th:text="${employes.fullName}"></span>-->

                </div>
                <div class="box-body">
                  <div class="box">
                    <form method="get">
                      <div class="box-header with-border">
                        <div class="row">
                          <div class="col-md-6">
                            <!--                                                                <h3 class="box-title">Ayah</h3>-->
                          </div>
<!--                          <div class="col-md-6" align="right">-->
<!--                            Show entries <span sd:page-size-selector="javascript"></span>-->
<!--                          </div>-->
                        </div>
                      </div>

                      <div class="box-header with-border">
                        <div class="row">
<!--                          <div class="col-md-6">-->
<!--                            <a th:href="@{/vendor/request/loan/new}" name="tambahAyah" type="button" class="btn btn-primary">Request Loan</a>-->
<!--                          </div>-->

                          <div class="col-md-6" align="right">
                            <div class="input-group input-group-sm" style="width: 150px;">
                              <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">
                              <div class="input-group-btn">
                                <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                              </div>
                            </div>
                          </div>

                        </div>
                      </div>
                    </form>
                    <!-- /.box-header -->


                    <div class="box-body table-responsive no-padding">
                      <table class="table table-bordered">
                        <tr>
                          <th style="width: 10px">#</th>
                          <th>Request Date</th>
                          <th>Employee</th>
                          <th>For</th>
                          <th>Loan Name</th>
                          <th>Nominal</th>
                          <th>Installment</th>
                          <th>Cicilan</th>
                          <th>Persentase</th>
                          <th>status</th>
                          <th style="width: 40px"></th>
                          <th style="width: 40px"></th>
                        </tr>
                        <tr th:each="dataRequestLoan,row : ${listRequestLoan}">
                          <td th:text="${(row.index + 1)}">1.</td>
                          <td th:text="${#temporals.format(dataRequestLoan.getRequestDate(),'dd-MMM-yyyy')}">BEASISWA</td>
                          <td th:text="${'('+dataRequestLoan.getNumber()+') '+dataRequestLoan.getFullName()}"></td>
                          <td th:text="${dataRequestLoan.getLoanFor()}">BEASISWA</td>
                          <td th:text="${dataRequestLoan.getName()}">BEASISWA</td>
                          <td align="right" th:text="${'Rp '+ #numbers.formatDecimal(dataRequestLoan.getNominalEstimasi(), 0, 'POINT', 2, 'COMMA')}">BEASISWA</td>
                          <td align="right" th:text="${dataRequestLoan.getInstallment() + 'X'}">BEASISWA</td>
                          <td align="right" th:text="${'Rp '+ #numbers.formatDecimal(dataRequestLoan.getNominalCicilan(), 0, 'POINT', 2, 'COMMA')}">BEASISWA</td>
                          <td align="right" th:text="${dataRequestLoan.getEstimatePersentase()+'%'}">BEASISWA</td>
                          <td th:text="${dataRequestLoan.getStatusApprove()}">BEASISWA</td>
                          <td>
<!--                            <form method="post" th:action="@{/finance/request/loan/approve(loanRequest=${dataRequestLoan.getId()}, ada=${dataRequestLoan.getAda()})}">-->
<!--                              <button type="submit" class="btn btn-success btn-xs"-->
<!--                                      onclick="return confirm('Are you sure want to delete this?')">-->
<!--                                Approve-->
<!--                              </button>-->
                              <button type="button" class="btn btn-success btn-xs" data-toggle="modal" data-target="#modal-approve" >
                                <span>Approve</span>
                              </button>


                              <div class="modal fade" id="modal-approve">
                                <div class="modal-dialog">
                                  <form method="post" th:action="@{/finance/request/loan/approve(loanRequest=${dataRequestLoan.getId()}, ada=${approvalLoanSetting.getSequence()})}">
                                  <div class="modal-content">
                                    <div class="modal-header">
                                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span></button>
                                      <h4 class="modal-title">Descriptions</h4>
                                    </div>
                                    <div class="modal-body">

                                        <div class="form-group">
                                          <label for="descriptions" class="col-sm-2 control-label">Descriptions</label>
                                          <div class="col-sm-10">
                                            <textarea class="form-control" name="descriptions" id="descriptions" rows="3" placeholder="Descriptions"></textarea>
                                          </div>
                                        </div>

                                    </div>
                                    <div class="modal-footer">
                                      <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>
                                      <button type="submit" class="btn btn-success pull-right">Approve</button>
                                    </div>
                                  </div>
                                  </form>
                                  <!-- /.modal-content -->
                                </div>
                                <!-- /.modal-dialog -->
                              </div>

                          </td>
                          <td>
<!--                            <form method="post" th:action="@{/finance/request/loan/reject(loanRequest=${dataRequestLoan.getId()})}">-->
<!--                              <button type="submit" class="btn btn-danger btn-xs"-->
<!--                                      onclick="return confirm('Are you sure want to delete this?')">-->
<!--                                Reject-->
<!--                              </button>-->
<!--                            </form>-->
                            <button type="button" class="btn btn-danger btn-xs" data-toggle="modal" data-target="#modal-default">
                              <span>Reject</span>
                            </button>


                              <div class="modal fade" id="modal-default">
                                <div class="modal-dialog">
                                  <form method="post" th:action="@{/finance/request/loan/reject(loanRequest=${dataRequestLoan.getId()}, ada=${approvalLoanSetting.getSequence()})}">
                                  <div class="modal-content">
                                    <div class="modal-header">
                                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span></button>
                                      <h4 class="modal-title">Descriptions</h4>
                                    </div>
                                    <div class="modal-body">


                                        <div class="form-group">
                                          <label for="descriptionsr" class="col-sm-2 control-label">Descriptions</label>
                                          <div class="col-sm-10">
                                            <textarea class="form-control" name="descriptionsr" id="descriptionsr" rows="3" placeholder="Descriptions"></textarea>
                                          </div>
                                        </div>

                                    </div>
                                    <div class="modal-footer">
                                      <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>
                                      <button type="submit" class="btn btn-danger pull-right">Approve</button>
                                    </div>
                                  </div>
                                  </form>
                                  <!-- /.modal-content -->
                                </div>
                                <!-- /.modal-dialog -->
                              </div>

                          </td>

                        </tr>
                        <tr>
                          <th style="width: 10px">#</th>
                          <th>Request Date</th>
                          <th>For</th>
                          <th>Loan Name</th>
                          <th>Nominal</th>
                          <th>Installment</th>
                          <th>Cicilan</th>
                          <th>Persentase</th>
                          <th>status</th>
                          <th style="width: 40px"></th>
                          <th style="width: 40px"></th>
                        </tr>
                      </table>
                    </div>
                    <!-- /.box-body -->
                    <div class="box-footer clearfix">
<!--                      <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">-->
<!--                        <li class="disabled"><a href="#" aria-label="Previous"><span-->
<!--                                aria-hidden="true">&laquo;</span></a>-->
<!--                        </li>-->
<!--                        <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>-->
<!--                        </li>-->
<!--                      </ul>-->
                    </div>
                  </div>
                </div>
                <!--                                    <div class="box-footer">-->
                <!--&lt;!&ndash;                                        <a th:href="@{/masterdata/employes}" class="btn btn-default">Cancel</a>&ndash;&gt;-->
                <!--&lt;!&ndash;                                        <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>&ndash;&gt;-->
                <!--                                    </div>-->
              </div>
            </div>
          </div>
        </div>
      </div>
      <!--                </form>-->
      <!--            </div>-->
    </div>
  </div>
</section>

<section layout:fragment="footer" class="script">
  <script>
    $(function () {
      //Initialize Select2 Elements
      $('.select2').select2()

      //Datemask dd/mm/yyyy
      $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
      //Datemask2 mm/dd/yyyy
      $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
      //Money Euro
      $('[data-mask]').inputmask()

      //Date range picker
      $('#reservation').daterangepicker()
      //Date range picker with time picker
      $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
      //Date range as a button
      $('#daterange-btn').daterangepicker(
              {
                ranges   : {
                  'Today'       : [moment(), moment()],
                  'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                  'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                  'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                  'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                  'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                },
                startDate: moment().subtract(29, 'days'),
                endDate  : moment()
              },
              function (start, end) {
                $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
              }
      )

      //Date picker
      $('#tanggalLahir').datepicker({
        autoclose: true
      })

      //iCheck for checkbox and radio inputs
      $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
        checkboxClass: 'icheckbox_minimal-blue',
        radioClass   : 'iradio_minimal-blue'
      })
      //Red color scheme for iCheck
      $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
        checkboxClass: 'icheckbox_minimal-red',
        radioClass   : 'iradio_minimal-red'
      })
      //Flat red color scheme for iCheck
      $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
        checkboxClass: 'icheckbox_flat-green',
        radioClass   : 'iradio_flat-green'
      })

      //Colorpicker
      $('.my-colorpicker1').colorpicker()
      //color picker with addon
      $('.my-colorpicker2').colorpicker()

      //Timepicker
      $('.timepicker').timepicker({
        showInputs: false
      })
    })
  </script>
  <script>
    $(".js-example-placeholder-single").select2({
      placeholder: "Pilih Salah Satu",
      allowClear: true
    });

    $('.simpan').click(function () {
      Swal.fire({
        position: 'top-end',
        type: 'success',
        title: 'Your work has been saved',
        showConfirmButton: false
      })
    });
  </script>
</section>
</body>
</html>
</body>
</html>